Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.security
Class Jsf12FaceletsAuthorizeTagUtils

    java.lang.Object
      org.springframework.faces.security.Jsf12FaceletsAuthorizeTagUtils

    public abstract class Jsf12FaceletsAuthorizeTagUtils

extends java.lang.Object

This class provides static methods that are registered as EL functions and available for use in Unified EL expressions in JSF 1.2 Facelets views.

Since:
  2.2.0
Author:
  Rossen Stoyanchev

Constructor Summary
`Jsf12FaceletsAuthorizeTagUtils()`

Method Summary
`static boolean` | `areAllGranted(java.lang.String authorities)` Returns true if the user has all of of the given authorities.
`static boolean` | `areAnyGranted(java.lang.String authorities)` Returns true if the user has any of the given authorities.
`static boolean` | `areNotGranted(java.lang.String authorities)` Returns true if the user does not have any of the given authorities.
`static boolean` | `isAllowed(java.lang.String url, java.lang.String method)` Returns true if the user is allowed to access the given URL and HTTP method combination.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jsf12FaceletsAuthorizeTagUtils

    public Jsf12FaceletsAuthorizeTagUtils()

Method Detail

### areAllGranted

    public static boolean areAllGranted(java.lang.String authorities)
                                 throws java.io.IOException

  Returns true if the user has all of of the given authorities.

  Parameters:
    `authorities` - a comma-separated list of user authorities.
  Throws:
    `java.io.IOException`

### areAnyGranted

    public static boolean areAnyGranted(java.lang.String authorities)
                                 throws java.io.IOException

  Returns true if the user has any of the given authorities.

  Parameters:
    `authorities` - a comma-separated list of user authorities.
  Throws:
    `java.io.IOException`

### areNotGranted

    public static boolean areNotGranted(java.lang.String authorities)
                                 throws java.io.IOException

  Returns true if the user does not have any of the given authorities.

  Parameters:
    `authorities` - a comma-separated list of user authorities.
  Throws:
    `java.io.IOException`

### isAllowed

    public static boolean isAllowed(java.lang.String url,
                                    java.lang.String method)
                             throws java.io.IOException

  Returns true if the user is allowed to access the given URL and HTTP method combination. The HTTP method is optional and case insensitive.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD